﻿:root {
    --font-family: Arial, Helvetica, sans-serif; /*Styl fontu*/
    --control-bg-color: rgba(20,51,106,0.8); /*barva pozadí ovládacích prvků*/
    --control-bg-color-active: rgb(192,155,106); /*barva pozadí aktivních ovládacích prvků nebo po najetí myši*/
    --control-color: var(--font-color-light); /*barva fontu/symbolu ovládacích prvků*/
    --control-color-active: var(--font-color-light); /*barva fontu/symbolu aktivních ovládacích prvků nebo po najetí myši*/
    --control-color-unavailable: #aaa; /*barva fontu/symbolu nedostupných ovládacích prvků*/
    --control-border: none; /*okraje ovládacích prvků*/
    --vip-button-bg-color: rgba(20,51,106,0.8); /* barva pozadí VIP tlacitek */
    --vip-button-bg-color-active: var(--control-bg-color-active); /* barva pozadí aktivnich VIP tlacitek */
    --vip-button-font-color: var(--font-color-light); /* barva fontu VIP tlacitek */
    --vip-button-font-color-active: var(--font-color-light); /* barva fontu aktivnich VIP tlacitek */
    --control-corner-radius: 3px; /* poloměr zaoblení rohů ovladacích prvků - tlačítka v lištách, v oknech, scale bar */
    --font-color-light: white; /* světlé písmo - použitý pro ovladací prvky */
    --font-color-dark: white; /* tmavé písmo - použitý pro nadpisy oken, souřadnice */
    --font-color-menu: var(--font-color-light); /* barva písma v menu */
    --menu-bg-color: rgba(50,50,50,0.9); /* barva pozadí menu */
    --menu-bg-color-active: var(--control-bg-color-active); /* barva pozadí aktivní položky menu (po najetí myší) */
    --menu-color-active: var(--font-color-light); /* barva fontu aktivní položky menu (po najetí myší) */
    --windows-bg-color: rgba(20,51,106,0.9); /* barva pozadí oken */
    --windows-active-header-bg: linear-gradient(var(--control-bg-color-active),var(--windows-bg-color)); /*barva pozadí hlavičky aktivního okna */
    --windows-control-color: var(--control-bg-color); /* barva symbolu ovladacich tlacitek close/minimalizace/maximalizace */
    --windows-control-color-active: var(--control-bg-color-active); /* aktivni barva (po najeti kurzorem) symbolu ovladacich tlacitek close/minimalizace/maximalizace */
    --windows-content-bg-color: var(--window-layers-bg-color); /*rgba(170,170,170*/,1); /* barva pozadí obsahu okna - překrývá pozadí okna */
    --windows-content-iframe-bg-color: rgba(170,170,170,1); /*pozadí okna obsahu iframe*/
    --window-layers-bg-color: rgba(20,51,106,0.9); /* pozadí obsahu okna se záložkami - vrstvy atp */
    --window-bubble-bg-color: var(--window-layers-bg-color); /* pozadí obsahu bubliny */
    --windows-border-color: var(--windows-border-color); /* barva orámovaní oken */
    --windows-border-width: 1px; /* tloušťka orámovaní oken */
    --windows-border-radius: 4px; /* poloměr zaoblení rohů oken */
    --scale-bar-bg: var(--windows-bg-color); /* barva pozadí scale baru */
    --bookmark-selected-bg-color: var(--window-layers-bg-color); /* barva pozadí vybrané záložky */
    --bookmark-selected-font-color: var(--font-color-light); /* barva písma vybrané záložky */
    --bookmark-unselected-bg-color: rgba(170,170,170,1); /*var(--windows-content-bg-color);*/ /* barva pozadí záložky */
    --bookmark-unselected-font-color: var(--font-color-dark); /* barva pozadí záložky */
    --bookmark-border-width: 1px; /* tloušťka orámovaní záložky */
    --bookmark-border-color: var(--windows-border-color); /* barva orámování záložky */
    --tree-node-collapsed-bg-color: linear-gradient(#777 70%, #555); /* barva pozadí nerozbalené položky stromu, která má sub-položky */
    --tree-node-collapsed-font-color: var(--font-color-light); /* barva fontu nerozbalené položky stromu, která má sub-položky */
    --tree-node-expanded-bg-color: linear-gradient(var(--control-bg-color-active) 50%,transparent); /* barva pozadí rozbalené položky stromu, která má sub-položky */
    --tree-node-expanded-font-color: var(--control-color-active); /* barva fontu rozbalené položky stromu, která má sub-položky */
    --tree-node-corner-radius: 4px; /* poloměr zaoblení rohů položky stromu - projeví se pouze na master položkách, které mají obarvené pozadí */
    --link-color: rgba(249,249,249,0.9); /*barva linků*/
    --link-hover-color: rgba(170,0,170,0.9); /*barva linků po najetí myši*/
    --link-visited-color: rgba(249,249,249,0.5); /*barva navštívených linků,puvodne--link-visited-color: var(--control-bg-color)*/
}

/* ================ ZÁKLAD STRÁNKY ================ */
body {
    font-family: var(--font-family, Arial, Helvetica, sans-serif);
    font-size: 0.75em;
    color: rgb(249,249,249);
    font-weight: bold;
    overflow: hidden;
    margin: 0;
    padding: 0;

    /* Přepsání původního pozadí */
    background: linear-gradient(rgba(20,51,106,1), rgba(200,200,200,0.9)) no-repeat center center fixed !important;
    background-size: cover !important;
}


.divMapInner {
    border: var(--windows-border-width) solid var(--windows-border-color);
}

.HeadPanelIn {
    width: 100%;
    background-color: rgb(20, 51, 106);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 2px;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
    border: none;      
    outline: none;     
    box-shadow: none;
}

/* Levá / pravá / střed */
.head-left,
.head-right {
    display: flex;
    align-items: center;
    padding-right: 10px;
}

.head-center {
    flex: 1;
    text-align: center;
    color: rgb(192, 155, 106);
    font-size: 16px;
    font-weight: bold;
    font-family: Arial, sans-serif;
}

/* Textové odkazy */
.head-link-text {
    color: rgb(249, 249, 249);
    font-size: 11px;
    text-decoration: none;
    font-family: Arial, sans-serif;
}

.head-link-text:hover {
    text-decoration: underline;

}

/* Ikony defaultně skryté */
.head-link-icon {
    display: none;
}

/* Obrázky v ikonách */
.head-link-icon img {
    height: 25px;
    width: auto;
    display: block;
}

/* Responsive změna pod 1200px */
@media (max-width: 1300px) {

    /* skryj textové odkazy */
    .head-link-text {
        display: none;
    }

    /* zobraz ikony */
    .head-link-icon {
        display: inline-flex;
        align-items: center;
    }

    /* volitelné: zmenšení paddingu */
    .HeadPanelIn {
        padding: 6px 5px;
    }
}


#Inneradresy {
	height: 50px !important;
}
/*---------------POPULAR QUERY---------------*/
/* Responsive změna pod 1200px */
@media (max-width: 1300px) {
/* nadpisová část – odstraní zbytečnou výšku řádku */
#adresy {
   top: 40px;
}

.tblOknoAdresy {
    top: 40px;
    left: 2px;
}
.tblOknoAdresy .divObsahOkno{
   padding: 2px 4px;
  }

#adresy .divNadpis {
    margin: 0 !important;
    padding: 0px 0 !important;
    line-height: 1px !important;
}

/* zmenšení vertikálních mezer v buňkách */
#adresy .tableLoc td {
    padding: 0px 0 !important;
    vertical-align: middle;
}
}
}
/* =========================================================
   VIP PANEL
========================================================= */
.VipPanel {
	left: 2px !important;
}
#VipPanel .right-col-fix {

    position: fixed;
    top: 185px;
    right: 10px;
    z-index: 1000;

    display: flex;
    flex-flow: column;

    pointer-events: none;
}

.divTlacitkoVipLeft.hckd-button {

    margin: 2px;
    padding: 3px;

    pointer-events: auto;
}

.divTlacitkoVipLeft.hckd-button.active {
    background-color: var(--control-bg-color-active);
    color: rgb(20,51,106);
}

.divTlacitkoVipLeft.hckd-button:hover {
    background-color: var(--control-bg-color-active);
}

/*---------------MOBIL-----------------*/
@media (max-width: 1300px) {
#VipPanel .right-col-fix {
    top: 45px;
}
.VipPanel {
	left: 4px !important;
}

#VipPanel{
    flex-flow: row;
}
#VipPanel .left-col-flex{
    flex: 1 1 auto;
}
